//
//  StoreListVC.swift
//  OrderPicky
//
//  Created by ANGEL FS on 12/02/22.
//

import UIKit

class StoreListVC: UIViewController {

    @IBOutlet weak var storeListTable: UITableView!
    
    override func viewDidLoad() {
        super.viewDidLoad()

        self.viewLoadingProperties()
        
    }

    @IBAction func backBtnTapped(_ sender: Any) {
        self.navigationController?.popViewController(animated: true)
    }
    
}

extension StoreListVC
{
    func viewLoadingProperties()
    {
        self.storeListTable.register(UINib(nibName: "StoreDetailTVC", bundle: nil), forCellReuseIdentifier: "storeDetail")
    }
}

extension StoreListVC : UITableViewDelegate , UITableViewDataSource
{
    func tableView(_ tableView: UITableView, numberOfRowsInSection section: Int) -> Int {
        return 5
    }
    
    func tableView(_ tableView: UITableView, cellForRowAt indexPath: IndexPath) -> UITableViewCell {
        let cell = tableView.dequeueReusableCell(withIdentifier: "storeDetail")as! StoreDetailTVC
        return cell
    }
    
    func tableView(_ tableView: UITableView, heightForRowAt indexPath: IndexPath) -> CGFloat {
        return UITableView.automaticDimension
    }
}
